%global momorel 1
%global md5sum_src0 4ee21e9dcc9b5b6012c23038734e1632
Summary: The GNU line editor.
Name: ed
Version: 0.5
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Text
%NoSource 0 ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Prereq: info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnu.org/directory/ed.html

%description
Ed is a line-oriented text editor, used to create, display, and modify
text files (both interactively and via shell scripts).  For most
purposes, ed has been replaced in normal usage by full-screen editors
(emacs and vi, for example).

Ed was the original UNIX editor, and may be used by some programs.  In
general, however, you probably don't need to install it and you probably
won't use it.

%prep
%setup -q

%build
./configure --exec-prefix=/
%make

%install
%makeinstall bindir=%{buildroot}/bin

# delete dir file
rm -f %{buildroot}/%{_datadir}/info/dir

%post
/sbin/install-info %{_infodir}/ed.info.* %{_infodir}/dir --entry="* ed: (ed).                  The GNU Line Editor."

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/ed.info.* %{_infodir}/dir --entry="* ed: (ed).                  The GNU Line Editor."
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/bin/*
%{_infodir}/ed.info*

%changelog
* Sun May 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5-1m)
- upsate to 0.5

* Sat Jan 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-2m)
- delete file info/dir

* Sat Jan 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-1m)
- update to 0.4
- SECURITY FIX CVE-2006-6939

* Tue Feb 22 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-30m)
- use autoconf instead of autoconf-old
- delete patch0, override by patch2
- add patch0, patch1, and patch2 from fc-devel

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.2-29m)
- rebuild against gcc-3.2 with autoconf-2.53

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.2-28k)
- cancel gcc-3.1 autoconf-2.53

* Tue May 28 2002 Toru Hoshina <t@kondara.org>
- (0.2-26k)
- force autoconf-old.

* Wed Dec 13 2000 AYUHANA Tomonori <l@kondara.org>
- (0.2-24k)
- 0.2-25k backport for 2.0

* Thu Dec  7 2000 AYUHANA Tomonori <l@kondara.org>
- (0.2-25k)
- add ed_0.2-18.1.diff.gz

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Aug 14 2000 Akira Higuchi <a@kondara.org>
- use regex in glibc

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- fix typo

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- add %%defattr
- clean up specfile

* Sat May 20 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man pages and infos in right place

* Wed Apr 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( BuildRoot, Summary, Distribution, description )

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages.

* Tue Mar 23 1999 Jeff Johnson <jbj@redhat.com>
- fix %post syntax error (#1689).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
